
function bcC=get_bc(filt_neurons,uid)
dic='GTACN';
if contains(uid,'bc') % his is a bc
    [~,idx]=ismember(uid,filt_neurons.uid);
    bcC=dic(filt_neurons.seq(idx,:));
else % this is a filt_neurons
    [~,idx]=ismember(uid,filt_neurons.uid);
    if filt_neurons.soma_bc_hd(idx,1)==5
        bcC=dic(filt_neurons.soma_bc(idx,:));
    else
        bcC=dic(filt_neurons.soma_bc_hd(idx,:));
    end

end




end